CUPS serial backend does not work

Bug #1076786 reported by André Hänsel on 2012-11-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cups-filters (Ubuntu)
Medium
Till Kamppeter
Quantal
Medium
Till Kamppeter

Bug Description

In a fresh install /usr/lib/cups/backend/serial has 755:

-rwxr-xr-x 1 root root 14664 May 18 10:05 serial

For some reason with these permission it doesn't work at all.

chmod 700 /usr/lib/cups/backend/serial fixes the problem.

Where I got the idea to try that:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=516945

[IMPACT]

Serial backend of CUPS and so all printers connected via serial port do not work with Quantal.

[TESTCASE]

Try to print on a serial printer, does not work with stock Quantal and works with the fixed package installed.

If you do not have a serial printer for testing, check permissions of /usr/lib/cups/backend/serial. It should be executable only for its owner (root). This is fixed by the proposed package.

[Regression Potential]

Fix is trivial, no regressions possible.

Till Kamppeter (till-kamppeter) wrote :

We will fix the permissions in the next cups-filters package in Raring.

Changed in cups-filters (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in cups-filters (Ubuntu):
status: Triaged → Fix Committed
Changed in cups-filters (Ubuntu Quantal):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Till Kamppeter (till-kamppeter)
Changed in cups-filters (Ubuntu):
assignee: nobody → Till Kamppeter (till-kamppeter)
Changed in cups-filters (Ubuntu Quantal):
milestone: none → quantal-updates
Changed in cups-filters (Ubuntu Quantal):
status: Triaged → In Progress
Till Kamppeter (till-kamppeter) wrote :

Uploaded fixed package for Quantal to -proposed, fixing bug 1084534, bug 1076786, and bug 1040037. As soon as the package will get approved, please install it according to the instructions posted here then and test it. Your test results are required to make the package an official update for Quantal.

To the SRU team: debdiff attached.

description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups-filters - 1.0.25-1

---------------
cups-filters (1.0.25-1) experimental; urgency=low

  * New upstream release
     - urftopdf: Newly added filter to convert the URF format which (at
       least some) iOS apps send when printing via AirPrint (Upstream bug
       #1076).
     - pdftopdf: pdfautorotate functionality has been patched directly
       into pdftopdf (LP: #1040037, Upstream bug #1080).
     - pdftopdf: "mirror" produced only empty pages (XObjects not there).
     - pdftopdf: Fixed segfault on "page-ranges=1-2147483647" (from cups).
     - pdftopdf: Fixed collate filler insertion.
     - texttopdf: Fixed deficient string escaping (Upstream bug #1071).
     - serial backend: Added check for sys/ioctl.h to configure.ac (Upstream bug
       #1069).
  * debian/patches/texttopdf-fix-deficient-string-escaping.patch: Removed
    fix backported from upstream.
  * debian/rules: Added "DEB_DH_FIXPERMS_ARGS := -Xusr/lib/cups/backend" to not
    correct the permissions of CUPS backends (LP: #1076786).

 -- Till Kamppeter <email address hidden> Wed, 28 Nov 2012 20:14:07 +0100

Changed in cups-filters (Ubuntu):
status: Fix Committed → Fix Released

Hello André, or anyone else affected,

Accepted cups-filters into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cups-filters/1.0.24-2ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cups-filters (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
Chris Halse Rogers (raof) wrote :

It has been more than a month and this bug is blocking release of this update into Quantal. Could someone please test this? Till - it's ok for you to test and report back, if you've got the hardware.

Till Kamppeter (till-kamppeter) wrote :

The bug is indeed fixed with the new package on Quantal:

till@till:~$ ll /usr/lib/cups/backend/serial
-rwx------ 1 root root 14600 Dec 29 14:31 /usr/lib/cups/backend/serial
till@till:~$

The permissions of the serial backend are correct.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups-filters - 1.0.24-2ubuntu0.1

---------------
cups-filters (1.0.24-2ubuntu0.1) quantal-proposed; urgency=low

  * debian/patches/pdftopdf-landscape-fix.patch: Auto-rotate functionality
    added to pdftopdf to print landscape-formatted PDFs (for example from
    LibreOffice) correctly (LP: #1040037, Upstream bug #1080).
  * debian/patches/pdftopdf-multiple-copies-collate-fix.patch: The pdftopdf
    filter started the second copy of a duplex job with an odd number of
    pages on the back side of the last page of the first copy. Thanks to
    David Williams from Ricoh for reporting this and to Tobias Hoffmann for
    fixing this (LP: #1084534).
  * debian/rules: Added "DEB_DH_FIXPERMS_ARGS := -Xusr/lib/cups/backend" to not
    correct the permissions of CUPS backends (LP: #1076786).
 -- Till Kamppeter <email address hidden> Thu, 29 Nov 2012 16:59:59 +0100

Changed in cups-filters (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers